<!--section-->
<section>
    <div class="container">
        <div class="row">

            <!--middle-section-->
            <div class="col-xs-12">
                <div class="article cinsight">
                    <div class="header margin-bottom-15">
                        <h1><a href="<%= country_insights_path  %>" class="back-icon"></a><%= @country.name %></h1>
                    </div>
                    <div class="article-content">

                        <div class="row topsec">
                            <div class="col-sm-3"><img src="<%= @country.flag.url(:medium) %>" alt="" class="img-responsive flag" /></div>
                            <div class="col-sm-9">
                                <div class="row">
                                    <div class="col-sm-12 col-xs-12">
                                        <h1><%= @country_guide.country_name %></h1>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>Population</h4>
                                        <h2><%= @population %></h2>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>Unemployment (%)</h4>
                                        <h2><%= @unemployment %>%</h2>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>GDP Growth</h4>
                                        <h2><%= @gdp_growth %>%</h2>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>GDP Per Capita</h4>
                                        <h2>USD <%= @gdp_per_cap %></h2>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <h3>Overview</h3>
                                <p><%= @overview.html_safe %></p>
                            </div>
                        </div>


                        <div class="map-sec">
                            <div class="row">
                                <div class="col-sm-6 col-md-5">
                                    <div class="row">
                                        <div class="col-sm-4 col-xs-6">
                                            <% if @is_indeed_company == true %>
                                                <div class="cntryinfo">
                                                    <a href="javascript:void(0)" target="_blank" class="country_jobs_search" data-name="<%= @country.name %>"> <img src="/interstride/assets/jobs.png" alt="" class="img-responsive">
                                                        <p>Jobs</p>
                                                    </a>
                                                </div>
                                            <% else %>
                                                <div class="cntryinfo">
                                                    <a href="<%= @country_guide.job_site_link != 'NA' ? @country_guide.job_site_link : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/jobs.png" alt="" class="img-responsive">
                                                        <p>Jobs</p>
                                                    </a>
                                                </div>
                                            <% end %>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.cia_link != 'NA' ? @country_guide.cia_link : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/fact.png" alt="" class="img-responsive">
                                                    <p>Factbook</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.cdc_gov != 'NA' ? @country_guide.cdc_gov : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/health.png" alt="" class="img-responsive">
                                                    <p>Health Advisory</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.immegration_website != 'NA' ? @country_guide.immegration_website : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/immigration.png" alt="" class="img-responsive">
                                                    <p>Immigration</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.numbeo != 'NA'  ? @country_guide.numbeo : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/cost.png" alt="" class="img-responsive">
                                                    <p>Cost of Living</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.lonely_planet != 'NA' ? @country_guide.lonely_planet : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/travel.png" alt="" class="img-responsive">
                                                    <p>Travel</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.us_travel_advisory != 'NA' ? @country_guide.us_travel_advisory : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/travela.png" alt="" class="img-responsive">
                                                    <p>Travel Advisory</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.hofstede_insights != 'NA' ? @country_guide.hofstede_insights : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/hofstede.png" alt="" class="img-responsive">
                                                    <p>Culture</p>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6 col-md-7">
                                    <div id="map"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
<!--/middle-section-->
        </div>
    </div>
</section>
<!--/section-->
<script>
// function initMap() {
//   var uluru = {lat: -25.363, lng: 131.044};
//   var map = new google.maps.Map(document.getElementById('map'), {
//     zoom: 4,
//     center: uluru
//   });
//   var marker = new google.maps.Marker({
//     position: uluru,
//     map: map
//   });
// }

function initMap() {
    // var loct = <%#= raw(marker.to_json) %>
    // console.log(loct[0])
    var map = new google.maps.Map(document.getElementById('map'), {
        zoom: 5,
        // center: loct[0]
    });
    geocoder = new google.maps.Geocoder();
    geocoder.geocode( { 'address': "<%= @country.name %>" }, function(results, status) {
        map.setCenter(results[0].geometry.location);
        var marker = new google.maps.Marker({
            map: map,
            position: results[0].geometry.location,
            // label: labels[i % labels.length]
            // alert(1)
        });
    })
    // geocoder.geocode( { 'address': "<%#= @country.name %>" }, function(results, status) {
    //     map.setCenter(results[0].geometry.location);
    // }

    // // Add a marker clusterer to manage the markers.
    // var markerCluster = new MarkerClusterer(map, markers, {imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m'});
}
</script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAQoyHt6t48brE7eZT4yGhSC4eGs0Hlclg&callback=initMap"></script>
